Package Details: katrain 1.8.4-1

Git Clone URL: https://aur.archlinux.org/katrain.git (read-only, click to copy)
Package Base: katrain
Description: A tool for analyzing and playing go with AI feedback from KataGo.
Upstream URL: https://github.com/sanderland/katrain
Licenses: MIT
Submitter: algebro
Maintainer: algebro
Last Packager: algebro
Votes: 3
Popularity: 0.44
First Submitted: 2020-08-06 13:58
Last Updated: 2021-04-16 15:21

Latest Comments

1 2 Next › Last »

E3LDDfrK commented on 2021-02-28 04:27

@algebro Yes, it downloads the model now. Thanks for the help.

algebro commented on 2021-02-23 19:31

Ah I see. Were you able to get the alternate katago versions installed with 1.7.6 and the steps I posted earlier?

E3LDDfrK commented on 2021-02-20 17:13

@algebro Because the same release used to have the 1.7.2 files only. The dev said on discord he expected people to install the package from pypi.

algebro commented on 2021-02-18 19:27

@E3LDDfrK,

Thanks for the note about 1.7.6, GitHub didn't notify me about the release for some reason. Using 1.7.6, if I click "Download KataGoVersions" (even though it says 0 versions found), it downloads 4 different versions, including the Eigen CPU builds. Afterwards you can set it.

E3LDDfrK commented on 2021-02-14 02:43

How to download the eigen/cpu version?

I tried to follow the instructions on the website https://github.com/sanderland/katrain#kata But it only says "0 available katago versions found".

edit: "Download Models" button seems to work. But "Download KataGo versions" doesn't.

edit2: The author just made the v.1.7.6 files available on the latest github release.

algebro commented on 2020-12-19 01:05

Will update this to 1.7 as soon as python-kivy 2.0.0 is available in the community arch repo, as katrain 1.7 won't run without it.

aulavik commented on 2020-11-26 04:12

Figured the sounds issue.

The INSTALL file mentions to install Kivy 2.0.0rc2 instead of whatever is was currently installed. However, it was mentioned here to use Kivy 2.0.0rc3

NB: Cross-posted on sanderland's github

aulavik commented on 2020-11-26 03:51

Yes, sdl2_mixer was also installed.

algebro commented on 2020-11-26 03:41

Do you have sdl2_mixer as well? They should be pulled in by python-kivy but I'm curious why you didnt get the message saying audio_sdl2 was loaded. sanderland might also have a better idea of what's going on.

Can you paste your debug log katrain -d after running the version you installed with pip3? I'd like to track down any dependencies I've missed if possible.

Thanks!

aulavik commented on 2020-11-26 03:38

SDL2 is already installed.


extra/sdl2 2.0.12-3 (727.1 KiB 3.1 MiB) (Installed)

I installed using the following instead:

pip3 install -U katrain

It now works, except for audio, which I still need to figure out.